annotate configure.sh @ 685:3fb7384e820d

tpudrv12.h: FCDEV3B goes back to being itself A while back we had the idea of a FreeCalypso modem family whereby our current fcdev3b target would some day morph into fcmodem, with multiple FC modem family products, potentially either triband or quadband, being firmware-compatible with each other and with our original FCDEV3B. But in light of the discovery of Tango modules that earlier idea is now being withdrawn: instead the already existing Tango hw is being adopted into our FreeCalypso family. Tango cannot be firmware-compatible with triband OM/FCDEV3B targets because the original quadband RFFE on Tango modules is wired in TI's original Leonardo arrangement. Because this Leonardo/Tango way is now becoming the official FreeCalypso way of driving quadband RFFEs thanks to the adoption of Tango into our FC family, our earlier idea of extending FIC's triband RFFE control signals with TSPACT5 no longer makes much sense - we will probably never produce any new hardware with that once-proposed arrangement. Therefore, that triband-or-quadband FCFAM provision is being removed from the code base, and FCDEV3B goes back to being treated the same way as CONFIG_TARGET_GTAMODEM for RFFE control purposes.
author Mychaela Falconia <falcon@freecalypso.org>
date Thu, 24 Sep 2020 21:03:08 +0000
parents 3e4f212e5d49
children 8cf3029429f3
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
1 #!/bin/sh
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
3 set -e
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
4
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
5 if [ ! -f configure.sh ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
6 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
7 echo "This script needs to be run from the top of the source tree" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
8 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
9 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
10
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
11 if [ ! -f helpers/makeline ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
12 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
13 echo "Please run make in the helpers directory first" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
14 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
15 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
16
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
17 # start looking at our invokation line
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
18
243
619febca2803 configure.sh: the correct form of equality test operator in [ is '='
Mychaela Falconia <falcon@freecalypso.org>
parents: 101
diff changeset
19 if [ "$1" = --clean ]
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
20 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
21 clean_flag=1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
22 shift
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
23 else
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
24 clean_flag=0
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
25 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
26
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
27 if [ $# -lt 2 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
28 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
29 echo "usage: $0 [--clean] target config [vars]" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
30 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
31 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
32
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
33 TARGET_FULL="$1"
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
34 CONFIG="$2"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
35
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
36 case "$TARGET_FULL" in
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
37 *-*)
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
38 TARGET=`echo $TARGET_FULL | sed -e 's/-.*$//'`
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
39 CHIP_OVERRIDE=`echo $TARGET_FULL | sed -e 's/^.*-//'`
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
40 ;;
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
41 *)
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
42 TARGET="$TARGET_FULL"
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
43 CHIP_OVERRIDE=
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
44 ;;
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
45 esac
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
46
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
47 if [ ! -f "targets/$TARGET.conf" -o ! -f "targets/$TARGET.h" ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
48 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
49 echo "Error: target $TARGET not known" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
50 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
51 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
52
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
53 if [ ! -f "configs/$CONFIG" ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
54 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
55 echo "Error: configuration $CONFIG not known" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
56 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
57 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
58
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
59 # target defaults that can be overridden by $TARGET.conf
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
60
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
61 CALYPSO_VER=dsp36
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
62 RF=12
291
21d128939204 implemented build option to disable sleep
Mychaela Falconia <falcon@freecalypso.org>
parents: 259
diff changeset
63 DISABLE_SLEEP=0
587
36eb33f1d45a config system: RVTMUX_ON_MODEM and UI_CONFIG moved into targets/*.conf
Mychaela Falconia <falcon@freecalypso.org>
parents: 573
diff changeset
64 RVTMUX_ON_MODEM=0
36eb33f1d45a config system: RVTMUX_ON_MODEM and UI_CONFIG moved into targets/*.conf
Mychaela Falconia <falcon@freecalypso.org>
parents: 573
diff changeset
65 UI_CONFIG=bigcolor
672
3e4f212e5d49 targets/*.conf cleanup: remove unnecessary TPUDRV_blob= lines
Mychaela Falconia <falcon@freecalypso.org>
parents: 671
diff changeset
66 MAIN_blob=
3e4f212e5d49 targets/*.conf cleanup: remove unnecessary TPUDRV_blob= lines
Mychaela Falconia <falcon@freecalypso.org>
parents: 671
diff changeset
67 TPUDRV_blob=
291
21d128939204 implemented build option to disable sleep
Mychaela Falconia <falcon@freecalypso.org>
parents: 259
diff changeset
68
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
69 . "targets/$TARGET.conf"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
70
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
71 # possible Calypso chip version override
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
72
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
73 if [ -n "$CHIP_OVERRIDE" ]
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
74 then
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
75 CALYPSO_VER="$CHIP_OVERRIDE"
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
76 fi
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
77
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
78 # settings derived from the Calypso chip version
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
79
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
80 case "$CALYPSO_VER" in
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
81 c05b)
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
82 CHIPSET=8
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
83 DSP=33
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
84 AMR=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
85 L1_DYN_DSP_DWNLD=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
86 L1_VOICE_MEMO_AMR=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
87 MELODY_E2=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
88 SPEECH_RECO=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
89 ;;
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
90 dsp34)
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
91 CHIPSET=10
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
92 DSP=34
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
93 AMR=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
94 L1_DYN_DSP_DWNLD=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
95 L1_VOICE_MEMO_AMR=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
96 MELODY_E2=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
97 SPEECH_RECO=0
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
98 ;;
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
99 dsp36)
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
100 CHIPSET=10
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
101 DSP=36
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
102 AMR=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
103 L1_DYN_DSP_DWNLD=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
104 L1_VOICE_MEMO_AMR=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
105 MELODY_E2=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
106 SPEECH_RECO=1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
107 ;;
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
108 *)
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
109 echo "Error: CALYPSO_VER=$CALYPSO_VER setting not understood" 1>&2
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
110 exit 1
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
111 esac
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
112
452
4d7c2ccb5814 config mechanism: high-level UI config made separate from target display drivers
Mychaela Falconia <falcon@freecalypso.org>
parents: 451
diff changeset
113 # display driver configuration
307
6d1eac845d3e make it possible to enable SERIAL_DYNAMIC_SWITCH on the configure.sh line
Mychaela Falconia <falcon@freecalypso.org>
parents: 291
diff changeset
114
451
fd1d9063ad40 config mechanism: added ability to build D-Sample B&W UI configuration
Mychaela Falconia <falcon@freecalypso.org>
parents: 390
diff changeset
115 DSAMPLE_FULL_COLOR=1
452
4d7c2ccb5814 config mechanism: high-level UI config made separate from target display drivers
Mychaela Falconia <falcon@freecalypso.org>
parents: 451
diff changeset
116
4d7c2ccb5814 config mechanism: high-level UI config made separate from target display drivers
Mychaela Falconia <falcon@freecalypso.org>
parents: 451
diff changeset
117 # miscellaneous configurable feature settings
4d7c2ccb5814 config mechanism: high-level UI config made separate from target display drivers
Mychaela Falconia <falcon@freecalypso.org>
parents: 451
diff changeset
118
481
24078551b620 build system: set ALLOW_CSIM_GSM=1 by default for hybrid configs
Mychaela Falconia <falcon@freecalypso.org>
parents: 456
diff changeset
119 ALLOW_CSIM_GSM=1
307
6d1eac845d3e make it possible to enable SERIAL_DYNAMIC_SWITCH on the configure.sh line
Mychaela Falconia <falcon@freecalypso.org>
parents: 291
diff changeset
120 SERIAL_DYNAMIC_SWITCH=0
548
9f191ca0051f implemented ability to enable -D_FF_RV_EXIST_ in TIF library
Mychaela Falconia <falcon@freecalypso.org>
parents: 537
diff changeset
121 TRACEMASK_IN_FFS=0
456
3d772a6268c4 config mechanism: allow TR_BAUD_CONFIG to be set on ./configure.sh line
Mychaela Falconia <falcon@freecalypso.org>
parents: 452
diff changeset
122 TR_BAUD_CONFIG=TR_BAUD_115200
522
9363ea39c74c configure.sh: implemented SUFFIX= setting, replacing raw BUILD_DIR=
Mychaela Falconia <falcon@freecalypso.org>
parents: 481
diff changeset
123 USE_STR2IND=0
9363ea39c74c configure.sh: implemented SUFFIX= setting, replacing raw BUILD_DIR=
Mychaela Falconia <falcon@freecalypso.org>
parents: 481
diff changeset
124
9363ea39c74c configure.sh: implemented SUFFIX= setting, replacing raw BUILD_DIR=
Mychaela Falconia <falcon@freecalypso.org>
parents: 481
diff changeset
125 SUFFIX=
307
6d1eac845d3e make it possible to enable SERIAL_DYNAMIC_SWITCH on the configure.sh line
Mychaela Falconia <falcon@freecalypso.org>
parents: 291
diff changeset
126
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
127 # allow the user to override these defaults
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
128
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
129 shift
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
130 shift
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
131 while [ $# != 0 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
132 do
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
133 eval "$1"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
134 shift
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
135 done
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
136
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
137 BUILD_DIR="build-$TARGET_FULL-$CONFIG$SUFFIX"
522
9363ea39c74c configure.sh: implemented SUFFIX= setting, replacing raw BUILD_DIR=
Mychaela Falconia <falcon@freecalypso.org>
parents: 481
diff changeset
138
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
139 echo "Building configuration $CONFIG for target $TARGET_FULL in $BUILD_DIR"
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
140
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
141 if [ "$clean_flag" = 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
142 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
143 rm -rf $BUILD_DIR
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
144 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
145 mkdir -p $BUILD_DIR
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
146
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
147 : > $BUILD_DIR/lcfgen
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
148
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
149 # shell functions to be used in the configuration recipe
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
150
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
151 build_lib() {
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
152 if [ $# -lt 1 -o $# -gt 2 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
153 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
154 echo "Error: build_lib takes 1 or 2 arguments" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
155 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
156 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
157 scripts/mk-component.sh "$1" "$2"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
158 SUBDIR="$SUBDIR $1"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
159 current_lib=$1/$1.lib
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
160 LIBS="$LIBS $current_lib"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
161 }
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
162
65
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
163 blob_lib_std() {
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
164 if [ $# != 1 ]
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
165 then
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
166 echo "Error: blob_lib_std takes 1 argument" 1>&2
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
167 exit 1
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
168 fi
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
169 current_lib="../blobs/libs/$1.lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
170 LIBS="$LIBS $current_lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
171 }
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
172
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
173 blob_lib_gpf() {
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
174 if [ $# != 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
175 then
65
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
176 echo "Error: blob_lib_gpf takes 1 argument" 1>&2
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
177 exit 1
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
178 fi
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
179 current_lib="../blobs/gpflibs/$1.lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
180 LIBS="$LIBS $current_lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
181 }
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
182
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
183 blob_lib_os() {
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
184 if [ $# != 1 ]
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
185 then
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
186 echo "Error: blob_lib_os takes 1 argument" 1>&2
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
187 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
188 fi
65
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
189 current_lib="../blobs/oslibs/$1.lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
190 LIBS="$LIBS $current_lib"
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
191 }
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
192
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
193 blob_lib_custom() {
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
194 if [ $# != 2 ]
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
195 then
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
196 echo "Error: blob_lib_custom takes 2 arguments" 1>&2
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
197 exit 1
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
198 fi
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
199 if [ -z "$1" ]
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
200 then
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
201 echo "Error: this config is not supported on this target" 1>&2
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
202 exit 1
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
203 fi
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
204 cp $1 $BUILD_DIR/$2.lib
bb53b2e2d548 revamped the handling of blob libs
Mychaela Falconia <falcon@freecalypso.org>
parents: 62
diff changeset
205 current_lib=$2.lib
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
206 LIBS="$LIBS $current_lib"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
207 }
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
208
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
209 lib_link_magic() {
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
210 if [ $# != 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
211 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
212 echo "Error: lib_link_magic takes 1 argument" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
213 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
214 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
215 if [ -z "$current_lib" ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
216 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
217 echo "Error: lib_link_magic called before build_lib or blob_lib" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
218 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
219 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
220 SPECIAL_LINK_LIBS="$SPECIAL_LINK_LIBS $current_lib"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
221 echo "$1" >> $BUILD_DIR/lcfgen
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
222 }
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
223
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
224 # invoke the configuration recipe
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
225
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
226 export BUILD_DIR TARGET USE_STR2IND
390
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
227 export CHIPSET DSP RF
56f5db12a125 configure.sh: new CHIPSET, DSP, RF and DSP-derived settings
Mychaela Falconia <falcon@freecalypso.org>
parents: 379
diff changeset
228 export AMR L1_DYN_DSP_DWNLD L1_VOICE_MEMO_AMR MELODY_E2 SPEECH_RECO
291
21d128939204 implemented build option to disable sleep
Mychaela Falconia <falcon@freecalypso.org>
parents: 259
diff changeset
229 export DISABLE_SLEEP
537
3575e65c059e RVTMUX_ON_MODEM made configurable
Mychaela Falconia <falcon@freecalypso.org>
parents: 536
diff changeset
230 export DSAMPLE_FULL_COLOR RVTMUX_ON_MODEM UI_CONFIG
481
24078551b620 build system: set ALLOW_CSIM_GSM=1 by default for hybrid configs
Mychaela Falconia <falcon@freecalypso.org>
parents: 456
diff changeset
231 export ALLOW_CSIM_GSM SERIAL_DYNAMIC_SWITCH TR_BAUD_CONFIG
548
9f191ca0051f implemented ability to enable -D_FF_RV_EXIST_ in TIF library
Mychaela Falconia <falcon@freecalypso.org>
parents: 537
diff changeset
232 export TRACEMASK_IN_FFS
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
233
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
234 SUBDIR=
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
235 LIBS=
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
236 SPECIAL_LINK_LIBS=
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
237 current_lib=
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
238
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
239 . "configs/$CONFIG"
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
240
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
241 # str2ind magic
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
242
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
243 if [ -z "$str2ind_blobs_used" ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
244 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
245 echo "Error: configs/$CONFIG must set str2ind_blobs_used" 1>&2
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
246 exit 1
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
247 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
248
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
249 if [ "$str2ind_blobs_used" = 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
250 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
251 cp blobs/str2ind.tab $BUILD_DIR
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
252 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
253
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
254 if [ "$str2ind_blobs_used" = 0 -a "$USE_STR2IND" = 0 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
255 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
256 echo 'char *str2ind_version = "&0";' > $BUILD_DIR/str2ind.c
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
257 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
258
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
259 # generate the top level Makefile!
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
260
522
9363ea39c74c configure.sh: implemented SUFFIX= setting, replacing raw BUILD_DIR=
Mychaela Falconia <falcon@freecalypso.org>
parents: 481
diff changeset
261 helpers/makeline def CONFIG_NAME "$CONFIG$SUFFIX" > $BUILD_DIR/Makefile
249
17f3647752ba configure.sh: emit the config name into the generated Makefile
Mychaela Falconia <falcon@freecalypso.org>
parents: 243
diff changeset
262 echo >> $BUILD_DIR/Makefile
620
76f09f1bea5d config system: generalized mechanism for overriding Calypso chip version
Mychaela Falconia <falcon@freecalypso.org>
parents: 588
diff changeset
263 helpers/makeline def TARGET $TARGET_FULL >> $BUILD_DIR/Makefile
573
deabd7b91828 build system: emit target name as part of the fw version string
Mychaela Falconia <falcon@freecalypso.org>
parents: 548
diff changeset
264 echo >> $BUILD_DIR/Makefile
249
17f3647752ba configure.sh: emit the config name into the generated Makefile
Mychaela Falconia <falcon@freecalypso.org>
parents: 243
diff changeset
265 helpers/makeline def SUBDIR $SUBDIR >> $BUILD_DIR/Makefile
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
266 echo >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
267 helpers/makeline def LIBS $LIBS >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
268 echo >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
269 helpers/makeline def SPECIAL_LINK_LIBS $SPECIAL_LINK_LIBS >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
270 echo >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
271 helpers/makeline def LINK_SCRIPT_SRC ../$LINK_SCRIPT_SRC >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
272 echo >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
273
90
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
274 if [ -n "$RAM_LINK_SCRIPT_SRC" ]
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
275 then
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
276 helpers/makeline def RAM_LINK_SCRIPT_SRC ../$RAM_LINK_SCRIPT_SRC \
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
277 >> $BUILD_DIR/Makefile
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
278 echo >> $BUILD_DIR/Makefile
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
279 fi
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
280
258
13bcc2ed7e44 configure.sh & targets/*.conf: emit FLASH_BASE_ADDR & FLASH_SECTOR_SIZE
Mychaela Falconia <falcon@freecalypso.org>
parents: 249
diff changeset
281 helpers/makeline def FLASH_BASE_ADDR $FLASH_BASE_ADDR >> $BUILD_DIR/Makefile
13bcc2ed7e44 configure.sh & targets/*.conf: emit FLASH_BASE_ADDR & FLASH_SECTOR_SIZE
Mychaela Falconia <falcon@freecalypso.org>
parents: 249
diff changeset
282 helpers/makeline def FLASH_SECTOR_SIZE $FLASH_SECTOR_SIZE >> $BUILD_DIR/Makefile
13bcc2ed7e44 configure.sh & targets/*.conf: emit FLASH_BASE_ADDR & FLASH_SECTOR_SIZE
Mychaela Falconia <falcon@freecalypso.org>
parents: 249
diff changeset
283 echo >> $BUILD_DIR/Makefile
13bcc2ed7e44 configure.sh & targets/*.conf: emit FLASH_BASE_ADDR & FLASH_SECTOR_SIZE
Mychaela Falconia <falcon@freecalypso.org>
parents: 249
diff changeset
284
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
285 cat makefile-frags/first-part >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
286
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
287 if [ "$USE_STR2IND" = 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
288 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
289 cat makefile-frags/str2ind-tab-depend >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
290 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
291
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
292 if [ "$str2ind_blobs_used" = 1 -o "$USE_STR2IND" = 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
293 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
294 cat makefile-frags/str2ind-c-gen >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
295 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
296
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
297 cat makefile-frags/link-steps >> $BUILD_DIR/Makefile
536
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
298
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
299 case "$TARGET" in
588
f2e752052db5 beginning of SE J100 target support
Mychaela Falconia <falcon@freecalypso.org>
parents: 587
diff changeset
300 c11x|c139|j100)
536
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
301 cat makefile-frags/m0-to-bin-c139 >> $BUILD_DIR/Makefile
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
302 ;;
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
303 c155)
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
304 cat makefile-frags/m0-to-bin-c155 >> $BUILD_DIR/Makefile
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
305 ;;
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
306 *)
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
307 cat makefile-frags/m0-to-bin-std >> $BUILD_DIR/Makefile
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
308 ;;
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
309 esac
ae18f9aad7ce C155 target support implemented in a way that should work
Mychaela Falconia <falcon@freecalypso.org>
parents: 535
diff changeset
310
259
2bb8b1c11afc build system: produce flash-script for flashing with fc-loadtool
Mychaela Falconia <falcon@freecalypso.org>
parents: 258
diff changeset
311 cat makefile-frags/flash-script-gen >> $BUILD_DIR/Makefile
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
312
90
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
313 if [ -n "$RAM_LINK_SCRIPT_SRC" ]
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
314 then
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
315 cat makefile-frags/ram-link-steps >> $BUILD_DIR/Makefile
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
316 fi
7bd197063b9e building RAM fw images for the Pirelli: initial concept
Mychaela Falconia <falcon@freecalypso.org>
parents: 88
diff changeset
317
62
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
318 cat makefile-frags/clean-always >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
319 if [ "$str2ind_blobs_used" = 0 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
320 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
321 echo ' rm -f str2ind.tab str2ind.log' >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
322 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
323 if [ "$str2ind_blobs_used" = 1 -o "$USE_STR2IND" = 1 ]
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
324 then
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
325 echo ' rm -f str2ind.c' >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
326 fi
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
327 echo >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
328 echo 'FRC:' >> $BUILD_DIR/Makefile
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
329
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
330 # All done!
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
331
9c16635ee5d2 configure.sh: putting it all together
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
332 echo "Run make in $BUILD_DIR to compile the firmware"